%define         anolis_release 1
%global         bootstrap 0

Name:           adwaita-icon-theme
Version:        43
Release:        %{anolis_release}%{?dist}
Summary:        Adwaita icon theme

License:        LGPLv3+ or CC-BY-SA
URL:            https://gitlab.gnome.org/GNOME/adwaita-icon-theme
Source0:        %{url}/-/archive/42.0/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  intltool
BuildRequires:  librsvg2
BuildRequires:  make
%if ! 0%{bootstrap}
BuildRequires:  /usr/bin/gtk-encode-symbolic-svg
%endif

Requires:       adwaita-cursor-theme = %{version}-%{release}

%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%package -n     adwaita-cursor-theme
Summary:        Adwaita cursor theme

%description -n adwaita-cursor-theme
The adwaita-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the pkgconfig file for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure 
%make_build

%install
%make_install

touch $RPM_BUILD_ROOT%{_datadir}/icons/Adwaita/icon-theme.cache

%generate_compatibility_deps

%transfiletriggerin -- %{_datadir}/icons/Adwaita
gtk-update-icon-cache --force %{_datadir}/icons/Adwaita &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Adwaita
gtk-update-icon-cache --force %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%license COPYING*
%dir %{_datadir}/icons/Adwaita/
%{_datadir}/icons/Adwaita/8x8/
%{_datadir}/icons/Adwaita/16x16/
%{_datadir}/icons/Adwaita/22x22/
%{_datadir}/icons/Adwaita/24x24/
%{_datadir}/icons/Adwaita/32x32/
%{_datadir}/icons/Adwaita/48x48/
%if ! 0%{bootstrap}
%{_datadir}/icons/Adwaita/64x64/
%{_datadir}/icons/Adwaita/96x96/
%endif
%{_datadir}/icons/Adwaita/256x256/
%{_datadir}/icons/Adwaita/512x512/
%{_datadir}/icons/Adwaita/scalable/
%{_datadir}/icons/Adwaita/scalable-up-to-32/
%{_datadir}/icons/Adwaita/index.theme
%ghost %{_datadir}/icons/Adwaita/icon-theme.cache

%files -n adwaita-cursor-theme
%license COPYING*
%dir %{_datadir}/icons/Adwaita/
%{_datadir}/icons/Adwaita/cursors/

%files devel
%{_datadir}/pkgconfig/adwaita-icon-theme.pc

%files doc
%doc AUTHORS README.md NEWS 


%changelog
* Fri Feb 10 2023 happy_orange <songnannan@linux.alibaba.com> - 43-1
- add generate compatibility scripts

* Mon Apr 18 2022 yuanhui <yuanhui@linux.alibaba.com> - 42.0-1
- Init adwaita-icon-theme for anolis os 23
